<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
      xmlns:ce="http://typo3.org/ns/TYPO3/CMS/FluidStyledContent/ViewHelpers"
      data-namespace-typo3-fluid="true"
>

<div class="o-cms-content" id="c{data.uid}">
    <f:render partial="Content/Header" arguments="{_all}"/>

    <div class="o-cms-content__body">
        <ul class="o-gridblock o-gridblock--1column">
            <f:for each="{pageUids}" as="page">
                <li class="c-teaser-list__item">
                    <div class="c-teaser   o-media">
                        <f:switch expression="{page.files.0.type}">
                            <f:case value="4">
                                <f:render section="videoType" arguments="{_all}"/>
                            </f:case>
                            <f:defaultCase>
                                <f:render section="imageType" arguments="{_all}"/>
                            </f:defaultCase>
                        </f:switch>

                        <div class="c-teaser__content   o-media__body">
                            <h3 class="c-teaser__title">
                                <f:link.typolink parameter="{page.data.uid}"
                                             title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                                             class="o-cms-content__header-link">
                                    <f:if condition="{page.data.nav_title}">
                                        <f:then>
                                            {page.data.nav_title}
                                        </f:then>
                                        <f:else>
                                            {page.data.title}
                                        </f:else>
                                    </f:if>
                                </f:link.typolink>
                            </h3>

                            <p>
                                <f:format.crop maxCharacters="600" respectWordBoundaries="FALSE">
                                    {page.data.abstract}
                                </f:format.crop>
                                <br>
                                <f:link.typolink parameter="{page.data.uid}"
                                             title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                                             class="c-teaser__link">
                                    <f:translate
                                        key="LLL:EXT:drk_template2016/Resources/Private/Language/locallang.xlf:read_more"/>
                                </f:link.typolink>
                            </p>
                        </div>
                    </div>
                </li>
            </f:for>
        </ul>
    </div>
</div>

<f:section name="imageType">
    <figure class="c-teaser__img c-teaser__img--left   o-media__img">
        <div class="o-media__imageholder">
            <f:link.typolink parameter="{page.data.uid}"
                         title="{f:if(condition: '{page.data.nav_title}', then: '{page.data.nav_title}', else: '{page.data.title}')}"
                         class="c-teaser__imagelink">
                <f:render section="media" arguments="{_all}"/>
            </f:link.typolink>
        </div>
    </figure>
</f:section>

<f:section name="videoType">
    <div class="c-teaser__img c-teaser__img--left   o-media__img">
        <div class="h-embed">
            <f:render section="media" arguments="{_all}"/>
        </div>
    </div>
</f:section>

<f:section name="media">
    <f:if condition="{page.files.0} != ''">
        <f:then>
            <f:media file="{page.files.0}" class=""
                     alt="{page.files.0.alternative}" title="{page.files.0.title}"/>
            <f:render partial="Content/Copyright" arguments="{media: page.files.0}"/>
        </f:then>
        <f:else>
            <div class="c-teaser__img c-teaser__img--left   o-media__img"></div>
        </f:else>
    </f:if>
</f:section>
</html>
